﻿// Global

function BlockDownloadAndOpenHtmlPage(a) {
    window.open(a.href + '.html', a.target, 1);
    return false;
}

// LibSelector

var CollapseLibSelectorList;

function ShowLibSelectorList(s) {
    if (CollapseLibSelectorList == null) {
        var e0 = document.querySelector("#LibSelectorListCollapsed");
        var e1 = document.querySelector("#LibSelectorList");

        var c0 = new bootstrap.Collapse(e0, { toggle: false });
        var c1 = new bootstrap.Collapse(e1, { toggle: false });

        e0.addEventListener('hidden.bs.collapse', function () { c1.show() });
        e1.addEventListener('hidden.bs.collapse', function () { c0.show() });

        e1.addEventListener('shown.bs.collapse', function () {
            document.getElementById("LibSelectorInput").focus();
        });

        CollapseLibSelectorList = [c0, c1];
    }

    if (s === true) {
        CollapseLibSelectorList[0].hide();
    }
    else if (s === false) {
        CollapseLibSelectorList[1].hide();
    }
    else {
        CollapseLibSelectorList[0].toggle();
    }
}

// Modal

var dicModal = {};

function GetModal(id) {
    if (dicModal[id] == null) {
        var elModalDisc = document.getElementById(id);
        dicModal[id] = new bootstrap.Modal(elModalDisc);
    }
    return dicModal[id];
}

function BootstrapModal(id, s) {
    var mdl = GetModal(id);
    if (s === true) mdl.show();
    else if (s === false) mdl.hide();
    else mdl.toggle();
}

function BootstrapModalSetBackDrop(id, b) {
    GetModal(id)._config.backdrop = b ? 'static' : true;
}


// ModalDisc

function ResetModalDisc() {
    var arrTabs = Array.from(document.querySelectorAll("#ModalDiscTab>.nav-item>.nav-link"));
    if (arrTabs.length > 0) {
        arrTabs.forEach(p => p.classList.remove("active"))
        arrTabs[0].classList.add("active")
    }
    var arrTabContents = Array.from(document.querySelectorAll('#ModalDiscTabContent>.tab-pane'));
    if (arrTabContents.length > 0) {
        arrTabContents.forEach(p => p.classList.remove("active"))
        arrTabContents[0].classList.add("active")
        arrTabContents[0].classList.add("show")
    }
    var id = "DiscBkSlider";
    $("#" + id).carousel(0);
}
