using Blazored.LocalStorage;
using FNZCM.BlazorWasm.Helpers;
using FNZCM.BlazorWasm.UI;
using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.Services.AddBlazoredLocalStorage();
builder.Services.AddSingleton<ApiClient>();
builder.Services.AddTransient<LocalStorageHelper>();

builder.RootComponents.Add<App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");

await builder.Build().RunAsync();
